<!-- <p>
  DirectivesComponent works!
</p> -->


<h4>NgIf Example</h4>

<div *ngIf="true">
  <p> This is my angular assignment</p>
</div>


<div *ngIf="false">
  <p> If condition is false</p>
</div>



<div *ngIf=" check; else elseStatement">
  when condition is true.
</div>
<ng-template #elseStatement>
  when condition is false.
</ng-template>


<!-- <div><p *ngIf= "show; then ifblock else elseblock"></p>
  <h5>if Block is exectued</h5>
</div>

<ng-template #elseblock>
  <h5>Else block is exectued</h5>
</ng-template>
</div> -->

<!-- ngFor -->
<h4>ngFor Example</h4>

<div *ngFor="let shift of shifts">
  <div [style.background]="shift.color">{{shift.color}}</div>
</div>

<h3 *ngFor="let item of user">
  <ul type="square">
  <li>Name:{{item.name}}
    <br> Email:{{item.email}}<br>
     Phone:{{item.phone}}</li>
  </ul>
  </h3>


<!-- ngIF and ngFor -->
<div *ngIf= " shouldShow ; elseblock">
    <div *ngFor="let order of orders">
        <li>Number is:{{order.Number}}</li>
    </div>

  <ng-template #elseblock>
    <p>Number is Invalid</p>
  </ng-template>
</div>